GNU bug report logs - #14507
24.3; TAB in shell mode never ignores case, even though I want it to

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eric Hanchrow <eric.hanchrow@HIDDEN>; merged with #14243; dated Wed, 29 May 2013 17:40:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 14507 <at> debbugs.gnu.org:


Received: (at 14507) by debbugs.gnu.org; 25 May 2016 19:34:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 15:34:32 2016
Received: from localhost ([127.0.0.1]:38603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b5eZc-0000BS-EB
	for submit <at> debbugs.gnu.org; Wed, 25 May 2016 15:34:32 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:37962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>)
 id 1b5eZb-0000BC-2d; Wed, 25 May 2016 15:34:31 -0400
Received: by mail-wm0-f45.google.com with SMTP id n129so75086119wmn.1;
 Wed, 25 May 2016 12:34:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=7IIV7Zq/18fuYOl/vPsshMvvL5nJI/SLBVye8rnbmOw=;
 b=xDhLceN4diMUe70qbKsXzIec5jIMCquJIXGPn+2les6X93LPyPOZ30Mlmc31UFdtKz
 loI5kt015e9fSmX5XO26RWjapdNBR5IdAxKAqbnjpf61OKWHgFeTlpMKmUnEV1JyiO2A
 sZnrjbgr+6wMU4NQa/h9N4fJvo4Yp4ZvnZ57aIoUmxpiMiJtosHxy20XTV05jN67XgTz
 IZCTiLNhWmwBFKZyjF8RpPIdxlrqOYWZcO5aHVfintIYj1HsVzKiOiu08L34D2E6GJ+p
 HoUbiXqosFOa3kXnuo6zZKm2WXQOK+rLL4dfrcPAVVeGhkfXtZV11jKcflKoghYpAz//
 mWhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=7IIV7Zq/18fuYOl/vPsshMvvL5nJI/SLBVye8rnbmOw=;
 b=E+5HzbfPGaJsl6Le6vyQAvzZpZ3Q0Tk5pvXxbJajWR4w3BSwh64rmYaQ5iq9/ZVg86
 TfrCgSqy0zPLKKBC1FbCjCWL7XeKwlY9pQUwymMvu3iLQvMxV9Z39tJXAC0wvt+BrwXj
 0dSGRm1dMaG9q6rkGabac+TSFDFiJJ+/036bwEKgSu2jB+hZiKnsSU/n4mAoYZqg8S+K
 rlLcdZxmjP8OD/M3gkXTH95hOEEUqo3QrLgxmNeD/dIaLhidJPW26t/lqJImSvUFMclB
 CfFPw3yEKl07+kDHgXrn1vsplB8fQieyXiTgAB7Loi5JBxL3TP+ay9iYv5Hai4W7FJ2m
 xmFA==
X-Gm-Message-State: ALyK8tJ23vHThD3WF3uqwvJLWxFfmLtXnpIynf4dEjH3lntlFJm4Sewr31qhbVAS/k10UQ==
X-Received: by 10.194.143.51 with SMTP id sb19mr6424608wjb.175.1464204864950; 
 Wed, 25 May 2016 12:34:24 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-7175-fea4-ded1-da32.holly.idiocy.org.
 [2001:8b0:3f8:8129:7175:fea4:ded1:da32])
 by smtp.gmail.com with ESMTPSA id y1sm8499731wjg.10.2016.05.25.12.34.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 25 May 2016 12:34:24 -0700 (PDT)
Date: Wed, 25 May 2016 20:34:22 +0100
From: Alan Third <alan@HIDDEN>
To: Eric Hanchrow <eric.hanchrow@HIDDEN>
Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even
 though I want it to
Message-ID: <20160525193422.GA2944@HIDDEN>
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 <m2d1oa6k9w.fsf@HIDDEN>
 <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14507
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Wed, May 25, 2016 at 07:18:55PM +0000, Eric Hanchrow wrote:
> So you're saying that
> 
> a) Emacs is deferring to Bash to do the completion in this case; and
> b) bash is not ignoring case?
> 
> I find both of those hard to believe -- particularly since if I type "cd
> doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
> it does what I want (namely: completes to "cd Documents").
> 
> If a) is in fact correct, then I suppose Emacs is somehow starting the
> shell differently than Terminal.app is.

OK, I think I was talking rubbish. It looks like Emacs does do the
completion.

(BTW, this bug looks like it's OS X specific in debbugs even though
it's reproducible in a GTK+ build on GNU/Linux too.)
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14507; Package emacs. Full text available.

Message received at 14507 <at> debbugs.gnu.org:


Received: (at 14507) by debbugs.gnu.org; 25 May 2016 19:19:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 15:19:14 2016
Received: from localhost ([127.0.0.1]:38587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b5eKo-0008Eu-84
	for submit <at> debbugs.gnu.org; Wed, 25 May 2016 15:19:14 -0400
Received: from mail-qk0-f169.google.com ([209.85.220.169]:36690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric.hanchrow@HIDDEN>)
 id 1b5eKl-0008Ec-Ix; Wed, 25 May 2016 15:19:12 -0400
Received: by mail-qk0-f169.google.com with SMTP id x7so41792263qkd.3;
 Wed, 25 May 2016 12:19:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lpKAmg+7I0NsELG7qtZ1pkGTQg4qjCSarL/6iG4YDxY=;
 b=qaTo+PPKqcGpypsCsvzf5tmB/2Y0i4ddVov5k6xkad6E4dOe4fGRlitkDtIynDtId+
 kURpJsM/1oQUOYS9zQRpQFjVDnFX/QVpwjmjSESmaXj7LKOhOPfAkz/R/MAxlD4SS8sA
 yjRPkQANneANHIOWLYuG+Cr06LI7MvRiYdeSgPjpvMAQD1yg6XhaQ9wolqtXWQL7xZFl
 WBCA5pkPJzCfOaVTqgjQ0F9qq4MP7hl1pOkIukNV2E5gFSnanL2BCXX8a2FVlEQzXQco
 3YfbROx96rfJgo4etfvU+4HldYz6WDQjghMLAKTnH5xYOBVOikgekh8ka/CIjkweFCyv
 Y6ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lpKAmg+7I0NsELG7qtZ1pkGTQg4qjCSarL/6iG4YDxY=;
 b=N/EUU5pRUtdg99qNUMHu0MG6en91NuVhVYhaJdGFO22A4g+9dKgcFnCJNjm6VKjac2
 lFtgRFsWklq/eFo34+pCjUVqBdalW0WJVFhznQw9EGsquM8eZGgpNhEM1ZUJZ9c8Jma/
 Xb//iSfFXUEteurnyW+B5evLAWr/3qP2Wv/UewHJOFy/pb8lT1nk++iL258vxriQvNcs
 z7xcjft9xT0FLexdMXBdt6xJTwrM31oIPDesKUSmyIgL5/5T5j54nUt6fDhjMYOru/QJ
 ObWBG/kXsvkxB7oZn0WVm7Fof6CgT/wGBCDhXschaZFEEuo5jdtlCgh/Pl3NqiJidJXo
 L0Pg==
X-Gm-Message-State: ALyK8tLEJvBUH9S8j8CIOvEmRxeub8nc715dOim1+uQjjhP/OE+5UqpA042WeVd9gyItBmq9mqNk4u+YM3tZig==
X-Received: by 10.55.78.9 with SMTP id c9mr5544105qkb.0.1464203945703; Wed, 25
 May 2016 12:19:05 -0700 (PDT)
MIME-Version: 1.0
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 <m2d1oa6k9w.fsf@HIDDEN>
In-Reply-To: <m2d1oa6k9w.fsf@HIDDEN>
From: Eric Hanchrow <eric.hanchrow@HIDDEN>
Date: Wed, 25 May 2016 19:18:55 +0000
Message-ID: <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even
 though I want it to
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114a8a520ffd4e0533af8c6c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14507
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114a8a520ffd4e0533af8c6c
Content-Type: text/plain; charset=UTF-8

So you're saying that

a) Emacs is deferring to Bash to do the completion in this case; and
b) bash is not ignoring case?

I find both of those hard to believe -- particularly since if I type "cd
doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
it does what I want (namely: completes to "cd Documents").

If a) is in fact correct, then I suppose Emacs is somehow starting the
shell differently than Terminal.app is.

On Wed, May 25, 2016 at 11:54 AM Alan Third <alan@HIDDEN> wrote:

> Eric Hanchrow <eric.hanchrow@HIDDEN> writes:
>
> > I started emacs with
> >
> > /Applications/Emacs.app/Contents/MacOS/Emacs -Q
> >
> > I typed M-x shell RET
> >
> > At the shell prompt, I typed "cd doc", then I hit the TAB key. The
> > shell's current directory was my home directory, and that directory
> > contains a subdirectory named "Documents". I expected the TAB key to
> > complete the name "Documents", but it just beeped. I then did M-: (setq
> > completion-ignore-case t) RET, and tried again, but it still just
> > beeped.
>
> Hi, sorry it's taken so long for someone to get back to you, but this
> isn't Emacs's filename completion, this is the shells. Probably bash.
> I'm afraid I can't help you with that.
> --
> Alan Third
>

--001a114a8a520ffd4e0533af8c6c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">So you&#39;re saying that=C2=A0<div><br></div><div>a) Emac=
s is deferring to Bash to do the completion in this case; and</div><div>b) =
bash is not ignoring case?</div><div><br></div><div>I find both of those ha=
rd to believe -- particularly since if I type &quot;cd doc&quot; at a shell=
 prompt that&#39;s not inside emacs, but is in a Terminal.app, it does what=
 I want (namely: completes to &quot;cd Documents&quot;).</div><div><br></di=
v><div>If a) is in fact correct, then I suppose Emacs is somehow starting t=
he shell differently than Terminal.app is.</div></div><br><div class=3D"gma=
il_quote"><div dir=3D"ltr">On Wed, May 25, 2016 at 11:54 AM Alan Third &lt;=
<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">Eric Hanchrow &lt;<a href=3D"mailto:eric.han=
chrow@HIDDEN" target=3D"_blank">eric.hanchrow@HIDDEN</a>&gt; writes:<=
br>
<br>
&gt; I started emacs with<br>
&gt;<br>
&gt; /Applications/Emacs.app/Contents/MacOS/Emacs -Q<br>
&gt;<br>
&gt; I typed M-x shell RET<br>
&gt;<br>
&gt; At the shell prompt, I typed &quot;cd doc&quot;, then I hit the TAB ke=
y. The<br>
&gt; shell&#39;s current directory was my home directory, and that director=
y<br>
&gt; contains a subdirectory named &quot;Documents&quot;. I expected the TA=
B key to<br>
&gt; complete the name &quot;Documents&quot;, but it just beeped. I then di=
d M-: (setq<br>
&gt; completion-ignore-case t) RET, and tried again, but it still just<br>
&gt; beeped.<br>
<br>
Hi, sorry it&#39;s taken so long for someone to get back to you, but this<b=
r>
isn&#39;t Emacs&#39;s filename completion, this is the shells. Probably bas=
h.<br>
I&#39;m afraid I can&#39;t help you with that.<br>
--<br>
Alan Third<br>
</blockquote></div>

--001a114a8a520ffd4e0533af8c6c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14507; Package emacs. Full text available.
bug closed, send any further explanations to 14243 <at> debbugs.gnu.org and ua2y-rti1@HIDDEN Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14507 <at> debbugs.gnu.org:


Received: (at 14507) by debbugs.gnu.org; 25 May 2016 18:54:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 14:54:28 2016
Received: from localhost ([127.0.0.1]:38572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b5dwp-0005yw-U1
	for submit <at> debbugs.gnu.org; Wed, 25 May 2016 14:54:28 -0400
Received: from mail-wm0-f53.google.com ([74.125.82.53]:36905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>)
 id 1b5dwo-0005yc-JH; Wed, 25 May 2016 14:54:27 -0400
Received: by mail-wm0-f53.google.com with SMTP id z87so73788664wmh.0;
 Wed, 25 May 2016 11:54:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+CkdTKgSJf7J7SeyeMLDU4mhp1830lzkcHQdTs6vbWc=;
 b=ZoxCPzrRUfYWguNZJqIJ7LTLvWxqh3SrbPy/Q12L6NYlGW90O9+z7UBEYJV2SyjvQe
 kWxaJbY6cQE4KDXvrOB4XNhBZU1/OGdkVOaLYDHqOGHfnPEAVTCF7R/8PMHGWqG0689g
 Ct2RekXlTyvCwg0zClcxgK+iC5Xtwz+N8RRYYi7g+E48ZOMdxly1Lb00MTDuFw0qzHjW
 ScZik60YW4tXewqra0Xyh/ffTyvP5kazpP4roCU1CA8FrK/i9Lb9cyL2NMPJpv3yiuam
 DJi7/drdmvjUq3R2SojItXywpZRxUMDGtvMSwB+1hIOnZRzsERZyZ4eiUK1mCjqNqPnn
 zzWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=+CkdTKgSJf7J7SeyeMLDU4mhp1830lzkcHQdTs6vbWc=;
 b=YBtERHT5FDsPIVmRSyNGsu2YU0BUOBDCM/p3blnu1ZRzcvdd1JHkTYWKEbhhjzMKIf
 zW66XI08u3amJgNckHMKJht6hVr66ccGPmyuXfpIgXVa6qIwBLfvUs4feiqMn1xEXYy5
 +W0A37RYivGkf1uaIh2DEW/UksFQyx7aqbO5MCu2YwWgbZOGJFKooO6TDBbd7naTzw6m
 PC0HR9vXu9f6AHEE2zuenJn570AzbEUR/mJNQ0fKrJdGfPHjeLol2aLKdMHjPE6ayPum
 y2BqtOZljQnaoiTdHeQQFvpnJCypm4LxKedTyWfS8FJwHM4Cd9M+tXtgrCNf/RAydO/D
 Q5fw==
X-Gm-Message-State: ALyK8tIqvyrlLGV9TuNnLSnFYyG5ogHgaRRIEKkzz9wWiT5c8jVnv0BfbuJBu2WPQe0lcA==
X-Received: by 10.28.56.132 with SMTP id f126mr5005574wma.96.1464202460924;
 Wed, 25 May 2016 11:54:20 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-7175-fea4-ded1-da32.holly.idiocy.org.
 [2001:8b0:3f8:8129:7175:fea4:ded1:da32])
 by smtp.gmail.com with ESMTPSA id jq1sm10251857wjc.28.2016.05.25.11.54.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 25 May 2016 11:54:20 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
To: Eric Hanchrow <eric.hanchrow@HIDDEN>
Subject: Re: bug#14507: 24.3;
 TAB in shell mode never ignores case, even though I want it to
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
Date: Wed, 25 May 2016 19:54:19 +0100
In-Reply-To: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 (Eric Hanchrow's message of "Wed, 29 May 2013 10:37:30 -0700")
Message-ID: <m2d1oa6k9w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14507
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eric Hanchrow <eric.hanchrow@HIDDEN> writes:

> I started emacs with 
>
> /Applications/Emacs.app/Contents/MacOS/Emacs -Q
>
> I typed M-x shell RET
>
> At the shell prompt, I typed "cd doc", then I hit the TAB key. The
> shell's current directory was my home directory, and that directory
> contains a subdirectory named "Documents". I expected the TAB key to
> complete the name "Documents", but it just beeped. I then did M-: (setq
> completion-ignore-case t) RET, and tried again, but it still just
> beeped.

Hi, sorry it's taken so long for someone to get back to you, but this
isn't Emacs's filename completion, this is the shells. Probably bash.
I'm afraid I can't help you with that.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14507; Package emacs. Full text available.
Merged 14243 14507. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 May 2013 17:39:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 13:39:50 2013
Received: from localhost ([127.0.0.1]:40428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UhkLl-0005fn-Ax
	for submit <at> debbugs.gnu.org; Wed, 29 May 2013 13:39:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46750)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eric.hanchrow@HIDDEN>) id 1UhkLi-0005fY-Sz
	for submit <at> debbugs.gnu.org; Wed, 29 May 2013 13:39:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <eric.hanchrow@HIDDEN>) id 1UhkK9-0005sO-SC
	for submit <at> debbugs.gnu.org; Wed, 29 May 2013 13:38:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-99.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	HTML_MESSAGE, T_DKIM_INVALID,
	USER_IN_WHITELIST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:40100)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eric.hanchrow@HIDDEN>) id 1UhkK9-0005sK-Kh
	for submit <at> debbugs.gnu.org; Wed, 29 May 2013 13:38:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58033)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eric.hanchrow@HIDDEN>) id 1UhkJz-0001fa-MY
	for bug-gnu-emacs@HIDDEN; Wed, 29 May 2013 13:38:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <eric.hanchrow@HIDDEN>) id 1UhkJs-0005n9-K2
	for bug-gnu-emacs@HIDDEN; Wed, 29 May 2013 13:37:59 -0400
Received: from mail-wi0-x22a.google.com ([2a00:1450:400c:c05::22a]:40084)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eric.hanchrow@HIDDEN>) id 1UhkJs-0005mh-Bg
	for bug-gnu-emacs@HIDDEN; Wed, 29 May 2013 13:37:52 -0400
Received: by mail-wi0-f170.google.com with SMTP id hr14so4504584wib.1
	for <bug-gnu-emacs@HIDDEN>; Wed, 29 May 2013 10:37:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:from:date:message-id:subject:to:content-type;
	bh=iFNES4Uy45tOFyzVS0wZ4rPwgbo9nQXn+CwW2vYCpPg=;
	b=M5LfERwhJYO0CICAKofPbUPxFxnKa5q6fmpVaCcVTsmWTFejdkcZpc2rGVr5z0bEIZ
	DAYZUrRhEFWBGPXsLtVguSUD2IQMvCSIRw5997s4jU/YRXecTeHARSRvOmSeFoDfCqYP
	MnEBPWmuNMTc6+08yFZYXp7CnGf7FaL++vVBNn86OvGdJc4NJawwOTx0lwhgRmI9mMFl
	9/TIJNrIHnhvdL3G5IX1edRUorEg+chgGu37E/8QGiBn1r7hx6GgEIG4Tr/iO0mMTF76
	oHGVYZn5AVVjc39DhJW8zNFRorHOirPCU/iUHD/OGlWAn1Xcvcb3Vtmev+8aZ8O3yl4e
	S9eg==
X-Received: by 10.194.235.130 with SMTP id um2mr2072949wjc.30.1369849071181;
	Wed, 29 May 2013 10:37:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.194.39.137 with HTTP; Wed, 29 May 2013 10:37:30 -0700 (PDT)
From: Eric Hanchrow <eric.hanchrow@HIDDEN>
Date: Wed, 29 May 2013 10:37:30 -0700
Message-ID: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
Subject: 24.3; TAB in shell mode never ignores case, even though I want it to
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=089e013d1c3048a96504ddded72e
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--089e013d1c3048a96504ddded72e
Content-Type: text/plain; charset=UTF-8

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

I started emacs with

        /Applications/Emacs.app/Contents/MacOS/Emacs -Q

I typed M-x shell RET

At the shell prompt, I typed "cd doc", then I hit the TAB key.  The
shell's current directory was my home directory, and that directory
contains a subdirectory named "Documents".  I expected the TAB key to
complete the name "Documents", but it just beeped.  I then did M-: (setq
completion-ignore-case t) RET, and tried again, but it still just
beeped.

In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2013-03-12 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
 '--with-ns' 'build_alias=i686-apple-darwin'
 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.7
 -isystem
 /Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
 -F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x d <return> M-x s h e l l <return> l s <return>
c d SPC d e o c <tab> <backspace> <backspace> <backspace>
o c <tab> <tab> C-c C-u C-h v c o m p l e <tab> o <tab>
i <backspace> - i <tab> g <tab> - c <tab> <return>
c d SPC D o <tab> <backspace> <backspace> d o c <tab>
M-x s e t - v a r <tab> <return> c o m p l <tab> -
o <tab> <M-backspace> <M-backspace> i g <tab> <M-backspace>
<backspace> <backspace> - <tab> C-g C-x o <tab> <tab>
<return> C-x 0 C-h v M-p C-k r e a d - f i <tab> i
<tab> <return> C-x 1 C-h c <tab> <tab> M-x s e t -
v a r <tab> <return> c o m p l <tab> <tab> C-g C-h
v M-p C-k c o m p l e <tab> o <tab> - i <tab> g <tab>
- c <tab> <return> M-: M-p M-( s e t q SPC c o m p
l e <M-tab> i <M-tab> o <M-tab> - i <M-tab> g <tab>
- c <tab> SPC t <return> <tab> M-x r e p o r t - e
m <tab> <return>

Recent messages:
TAB (translated from <tab>) runs the command completion-at-point
No match
Making completion list...
Quit
Making completion list...
Type C-x 1 to delete the help window.
user-error: Beginning of history; no preceding item
Making completion list... [2 times]
t
No match

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode easymenu help-fns pcmpl-unix shell
pcomplete comint ansi-color ring dired time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)

--089e013d1c3048a96504ddded72e
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>This bug report will be sent to the Bug-GNU-Emacs mai=
ling list<br></div><div>and the GNU bug tracker at <a href=3D"http://debbug=
s.gnu.org">debbugs.gnu.org</a>. =C2=A0Please check that</div><div>the From:=
 line contains a valid email address. =C2=A0After a delay of up</div>

<div>to one day, you should receive an acknowledgment at that address.</div=
><div><br></div><div>Please write in English if possible, as the Emacs main=
tainers</div><div>usually do not have translators for other languages.</div=
>

<div><br></div><div>Please describe exactly what actions triggered the bug,=
 and</div><div>the precise symptoms of the bug. =C2=A0If you can, give a re=
cipe</div><div>starting from `emacs -Q&#39;:</div><div><br></div><div>I sta=
rted emacs with=C2=A0</div>

<div><br></div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 /Applications/Emacs.app/Con=
tents/MacOS/Emacs -Q</div><div><br></div><div>I typed M-x shell RET</div><d=
iv><br></div><div>At the shell prompt, I typed &quot;cd doc&quot;, then I h=
it the TAB key. =C2=A0The</div>

<div>shell&#39;s current directory was my home directory, and that director=
y</div><div>contains a subdirectory named &quot;Documents&quot;. =C2=A0I ex=
pected the TAB key to</div><div>complete the name &quot;Documents&quot;, bu=
t it just beeped. =C2=A0I then did M-: (setq</div>

<div>completion-ignore-case t) RET, and tried again, but it still just</div=
><div>beeped.</div><div><br></div><div>In GNU Emacs 24.3.1 (x86_64-apple-da=
rwin, NS apple-appkit-1038.36)</div><div>=C2=A0of 2013-03-12 on <a href=3D"=
http://bob.porkrind.org">bob.porkrind.org</a></div>

<div>Windowing system distributor `Apple&#39;, version 10.3.1187</div><div>=
Configured using:</div><div>=C2=A0`configure &#39;--host=3Dx86_64-apple-dar=
win&#39; &#39;--build=3Di686-apple-darwin&#39;</div><div>=C2=A0&#39;--with-=
ns&#39; &#39;build_alias=3Di686-apple-darwin&#39;</div>

<div>=C2=A0&#39;host_alias=3Dx86_64-apple-darwin&#39; &#39;CC=3Dgcc -mmacos=
x-version-min=3D10.7</div><div>=C2=A0-isystem</div><div>=C2=A0/Users/david/=
Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Dev=
eloper/SDKs/MacOSX10.7.sdk/usr/include/</div>

<div>=C2=A0-F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Pla=
tforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Framewo=
rks&#39;&#39;</div><div><br></div><div>Important settings:</div><div>=C2=A0=
 value of $LANG: en_US.UTF-8</div>

<div>=C2=A0 locale-coding-system: utf-8-unix</div><div>=C2=A0 default enabl=
e-multibyte-characters: t</div><div><br></div><div>Major mode: Shell</div><=
div><br></div><div>Minor modes in effect:</div><div>=C2=A0 shell-dirtrack-m=
ode: t</div>

<div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 mouse-wheel-mode: t</div><div>=
=C2=A0 tool-bar-mode: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 =
file-name-shadow-mode: t</div><div>=C2=A0 global-font-lock-mode: t</div><di=
v>=C2=A0 font-lock-mode: t</div>

<div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode: t<=
/div><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compression-=
mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-mar=
k-mode: t</div><div><br></div>

<div>Recent input:</div><div>C-x d &lt;return&gt; M-x s h e l l &lt;return&=
gt; l s &lt;return&gt;=C2=A0</div><div>c d SPC d e o c &lt;tab&gt; &lt;back=
space&gt; &lt;backspace&gt; &lt;backspace&gt;=C2=A0</div><div>o c &lt;tab&g=
t; &lt;tab&gt; C-c C-u C-h v c o m p l e &lt;tab&gt; o &lt;tab&gt;=C2=A0</d=
iv>

<div>i &lt;backspace&gt; - i &lt;tab&gt; g &lt;tab&gt; - c &lt;tab&gt; &lt;=
return&gt;=C2=A0</div><div>c d SPC D o &lt;tab&gt; &lt;backspace&gt; &lt;ba=
ckspace&gt; d o c &lt;tab&gt;=C2=A0</div><div>M-x s e t - v a r &lt;tab&gt;=
 &lt;return&gt; c o m p l &lt;tab&gt; -=C2=A0</div>

<div>o &lt;tab&gt; &lt;M-backspace&gt; &lt;M-backspace&gt; i g &lt;tab&gt; =
&lt;M-backspace&gt;=C2=A0</div><div>&lt;backspace&gt; &lt;backspace&gt; - &=
lt;tab&gt; C-g C-x o &lt;tab&gt; &lt;tab&gt;=C2=A0</div><div>&lt;return&gt;=
 C-x 0 C-h v M-p C-k r e a d - f i &lt;tab&gt; i=C2=A0</div>

<div>&lt;tab&gt; &lt;return&gt; C-x 1 C-h c &lt;tab&gt; &lt;tab&gt; M-x s e=
 t -=C2=A0</div><div>v a r &lt;tab&gt; &lt;return&gt; c o m p l &lt;tab&gt;=
 &lt;tab&gt; C-g C-h=C2=A0</div><div>v M-p C-k c o m p l e &lt;tab&gt; o &l=
t;tab&gt; - i &lt;tab&gt; g &lt;tab&gt;=C2=A0</div>

<div>- c &lt;tab&gt; &lt;return&gt; M-: M-p M-( s e t q SPC c o m p=C2=A0</=
div><div>l e &lt;M-tab&gt; i &lt;M-tab&gt; o &lt;M-tab&gt; - i &lt;M-tab&gt=
; g &lt;tab&gt;=C2=A0</div><div>- c &lt;tab&gt; SPC t &lt;return&gt; &lt;ta=
b&gt; M-x r e p o r t - e=C2=A0</div>

<div>m &lt;tab&gt; &lt;return&gt;</div><div><br></div><div>Recent messages:=
</div><div>TAB (translated from &lt;tab&gt;) runs the command completion-at=
-point</div><div>No match</div><div>Making completion list...</div><div>

Quit</div><div>Making completion list...</div><div>Type C-x 1 to delete the=
 help window.</div><div>user-error: Beginning of history; no preceding item=
</div><div>Making completion list... [2 times]</div><div>t</div><div>No mat=
ch</div>

<div><br></div><div>Load-path shadows:</div><div>None found.</div><div><br>=
</div><div>Features:</div><div>(shadow sort gnus-util mail-extr emacsbug me=
ssage format-spec rfc822 mml</div><div>mml-sec mm-decode mm-bodies mm-encod=
e mail-parse rfc2231 mailabbrev</div>

<div>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util</div>=
<div>mail-prsvr mail-utils help-mode easymenu help-fns pcmpl-unix shell</di=
v><div>pcomplete comint ansi-color ring dired time-date tooltip ediff-hook<=
/div>

<div>vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image</div=
><div>regexp-opt fringe tabulated-list newcomment lisp-mode register page</=
div><div>menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-l=
ock</div>

<div>syntax facemenu font-core frame cham georgian utf-8-lang misc-lang</di=
v><div>vietnamese tibetan thai tai-viet lao korean japanese hebrew greek</d=
iv><div>romanian slovak czech european ethiopic indian cyrillic chinese</di=
v>

<div>case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loadde=
fs</div><div>button faces cus-face macroexp files text-properties overlay s=
ha1 md5</div><div>base64 format env code-pages mule custom widget hashtable=
-print-readable</div>

<div>backquote make-network-process ns multi-tty emacs)</div><div><br></div=
></div>

--089e013d1c3048a96504ddded72e--




Acknowledgement sent to Eric Hanchrow <eric.hanchrow@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14507; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 25 May 2016 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.